Edit Integrations
- PATCH
- /workspaces
- /:workspace
- /integrations
- /:hash_id
Update integration configuration
Request
REQUIRED SCOPES
INTEGRATION_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspaceExample: "my-company"
hash_idrequiredstring
The hash ID of the integrationExample: "abc123def456"
BODY PARAMETERS
namerequiredstring
The name of the integrationidentifierstring
A human-readable ID of the integrationtokenstring
The authentication token for services like GitHub, GitLab, DigitalOceanemailstring
Email address associated with the integrationapi_keystring
The API key for services that use key-based authenticationaccess_keystring
The access key ID for AWS or DigitalOcean Spacessecret_keystring
The secret access key for AWS or DigitalOcean Spacespartner_tokenstring
Partner token for specific integrationsshopstring
The shop name for Shopify integrationsurlstring
The integration URLchat_idstring
The chat ID for messaging integrationsgit_hub_user_idstring
The GitHub user IDgit_hub_user_namestring
The GitHub usernameusernamestring
The username for authenticationpasswordstring
The password for Azure Cloud, UpCloud, or DockerHubapp_idstring
The application ID for Azure Cloud integrationstenant_idstring
The tenant ID for Azure Cloud integrationsclient_idstring
The client ID for OAuth-based integrationsclient_tokenstring
The client token for authenticationserver_idstring
The server ID for Discord integrationsserver_tokenstring
The server token for authenticationkey_idstring
The key ID for various integrationsapplication_keystring
The application key for Datadog integrationshost_urlstring
The host URL for custom integrationswebhook_addressstring
The webhook URL for receiving notificationsslack_user_idstring
The Slack user IDregionstring
The cloud region (e.g., us-east-1, eu-west-1)role_assumptionsRoleAssumptionView[]
AWS IAM role assumptions for cross-account accessall_pipelines_allowedboolean
Set to true to allow all pipelines to use this integrationallowed_pipelinesPipelineIdView[]
List of specific pipelines allowed to use this integrationpermissionsIntegrationPermissionsView
Permission settings defining who can use this integrationauth_typestring enum
The authentication method used by the integrationAllowed enum:
OAUTH,TOKEN,API_KEY,APP,APP_SPRYKER,TOKEN_APP_EXTENSION,DEFAULT,OIDC,TRUSTED,APP_RWtarget_urlstring
The target URL for webhook-based integrationsrefresh_tokenstring
The refresh token for OAuth flowsaudiencestring
The JWT audience for token validationconfigstring
Additional configuration data in JSON formatgoogle_projectstring
The Google Cloud project IDatop_urlstring
The ATOP service URLdisabledboolean
Set to true to disable the integration. Disabled integrations cannot be used in actionsResponse
RESPONSE BODY
typestring enum
The type of integrationAllowed enum:
GIT_HUB,BITBUCKET,GOOGLE,DIGITAL_OCEAN,SLACK,MODULUS,HEROKU,AMAZON,GIT_LAB,SHOPIFY,GIT_HUB_ENTERPRISE,GIT_LAB_ENTERPRISE,PUSHOVER,PUSHBULLET,RACKSPACE,CUSTOM,CLOUDFLARE,NEW_RELIC,SENTRY,ROLLBAR,DATADOG,DO_SPACES,HONEYBADGER,VULTR,SENTRY_ENTERPRISE,LOGGLY,HIP_CHAT,FIREBASE,TELEGRAM,AZURE,UPCLOUD,GHOST_INSPECTOR,NETLIFY,AZURE_CLOUD,MICROSOFT_TEAMS,GOOGLE_SERVICE_ACCOUNT,GOOGLE_PLAY_STORE,DOCKER_HUB,APP_STORE,GIT_HUB_APP,GIT_HUB_APP_ENTERPRISE,GIT_HUB_API,ATOP,SNYK,STACK_HAWK,BLACKFIRE,BACKBLAZE,ONE_LOGIN,OKTA,CONTENTFUL,JIRA,NPM_REGISTRY,ANTHROPICurlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksidentifierstring
A human-readable ID of the integrationhash_idstring
The unique hash ID of the integrationnamestring
The name of the integrationauth_typestring enum
The authentication method used by the integrationAllowed enum:
OAUTH,TOKEN,API_KEY,APP,APP_SPRYKER,TOKEN_APP_EXTENSION,DEFAULT,OIDC,TRUSTED,APP_RWscopestring enum
The scope of the integrationAllowed enum:
WORKSPACE,PROJECT,ENVIRONMENTproject_namestring
The human-readable ID of the project (required when scope is PROJECT)app_idstring
The application ID for Azure Cloud integrationsgoogle_projectstring
The Google Cloud project IDhost_urlstring
The host URL for custom integrationswebhook_addressstring
The webhook URL for receiving notificationsaudiencestring
The JWT audience for token validationatop_urlstring
The ATOP service URLpermissionsIntegrationPermissionsView
Permission settings defining who can use this integrationall_pipelines_allowedboolean
Set to true to allow all pipelines to use this integrationallowed_pipelinesShortPipelineView[]
List of specific pipelines allowed to use this integrationdisabledboolean
Set to true to disable the integration. Disabled integrations cannot be used in actionsLast modified on Apr 22, 2026
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/integrations/:hash_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"identifier": "GitHub",
"name": "Updated GitHub Integration",
"token": "ghp_yyyyyyyyyyyyyyyyyyyy",
"all_pipelines_allowed": false,
"allowed_pipelines": [
{
"id": 123
},
{
"id": 456
}
],
"disabled": true
}'